--- title: "Prebuilt Entity" slug: "server-api-bot-prebuilt-entity" updated: 2022-06-16T07:01:59Z published: 2022-06-16T07:01:59Z canonical: "developer.comm100.com/server-api-bot-prebuilt-entity" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Prebuilt Entity ## Prebuilt Entity - `Prebuilt Entities` - Prebuilt Entities Manage - `GET bot/prebuiltEntities` - [Get the list of Prebuilt Entities](/docs/server-api-bot-prebuilt-entity#get-the-list-of-prebuilt-entities) - `GET bot/prebuiltEntities/{id}` - [Get a single Prebuilt Entity](/docs/server-api-bot-prebuilt-entity#get-a-single-prebuilt-entity) ### Prebuilt Entity JSON Format Prebuilt Entity is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `dialogflowEntityId` | string | Id of the dialogflow entity. | | `id` | guid | Id of the entity. | | `name` | string | Name of the prebuilt entity. | | `description` | string | Description of the prebuilt entity. | | `example` | string [] | Examples of the prebuilt entity. | | `languageCode` | string | Code of the language. | ### Get the list of Prebuilt Entities `GET bot/prebuiltEntities` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `languageCode` | string | query | yes | Code of the language. | - #### Response: An array of [Prebuilt Entity](/docs/server-api-bot-prebuilt-entity#prebuilt-entity-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/prebuiltEntities \ -X 'GET' \ ``` Response: HTTP/1.1 200 OK ``` [ { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" } ] ``` ### Get a single Prebuilt Entity `GET bot/prebuiltEntities/{id}` - #### Parameters: No Parameters - #### Response: [Prebuilt Entity](/docs/server-api-bot-prebuilt-entity#prebuilt-entity-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/prebuiltEntities/386B93B1-C148-EB11-8100-00155D081D0B \ -X 'GET' \ ``` Response: HTTP/1.1 200 OK ``` { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" } ```